# Method: liasettings.getaccessiblegmbaccounts

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/getaccessiblegmbaccounts#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/getaccessiblegmbaccounts#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/getaccessiblegmbaccounts#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/getaccessiblegmbaccounts#body.response_body)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/getaccessiblegmbaccounts#body.LiasettingsGetAccessibleGmbAccountsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/getaccessiblegmbaccounts#body.aspect)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/getaccessiblegmbaccounts#try-it)

Retrieves the list of accessible Business Profiles.

### HTTP request

`GET https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/liasettings/{accountId}/accessiblegmbaccounts`

### Path parameters

| Parameters ||
|---|---|
| `merchantId` | `string` The ID of the managing account. If this parameter is not the same as [accountId](https://developers.google.com/shopping-content/reference/rest/v2.1/liasettings/getaccessiblegmbaccounts#accountId), then this account must be a multi-client account and `accountId` must be the ID of a sub-account of this account. |
| `accountId` | `string` The ID of the account for which to retrieve accessible Business Profiles. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "accountId": string, "gmbAccounts": [ { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/GmbAccountsGmbAccount`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string "`content#liasettingsGetAccessibleGmbAccountsResponse`". |
| `accountId` | `string` The ID of the Merchant Center account. |
| `gmbAccounts[]` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/GmbAccountsGmbAccount`)`` A list of Business Profiles which are available to the merchant. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).